Index: jobvista-frontend/src/views/applications/ApplicationsByJobSeeker.js
===================================================================
--- jobvista-frontend/src/views/applications/ApplicationsByJobSeeker.js	(revision b2488107b82c95e4bdfdfd18b76b44f023786601)
+++ jobvista-frontend/src/views/applications/ApplicationsByJobSeeker.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
@@ -2,33 +2,73 @@
 import {useEffect, useState} from "react";
 import {ApplicationActions} from "../../redux/actions/applicationActions";
-import {ViewApplicationDetails} from "./ViewApplicationDetails";
+import {ApplicationDetailsModal} from "./ApplicationDetailsModal";
 import Select from "react-select";
+
+import {RecruiterActions} from "../../redux/actions/recruiterActions";
+import {sortElementsBy} from "../../utils/utils";
 
 export const ApplicationsByJobSeeker = () => {
     const dispatch = useDispatch();
+    const auth = useSelector(state => state.auth.currentUser);
+
     const [applicationsByJobSeeker, setApplicationsByJobSeeker] = useState([]);
     let applicationsByJobSeekerState = useSelector(state => state.appl.applicationsByJobSeeker);
     const [dispatched, setDispatched] = useState(false);
 
+    const [logos, setLogos] = useState({});
+    let logosState = useSelector(state => state.images.logos)
+    const [logoDispatched, setLogoDispatched] = useState(false);
+
+
+
     useEffect(() => {
-        if(!dispatched && applicationsByJobSeekerState.length === 0) {
-            dispatch(ApplicationActions.fetchApplicationsByJobSeeker((success, response) => {
+        if(!dispatched && (applicationsByJobSeekerState.length === 0 || applicationsByJobSeekerState.length === 1) ) {
+            dispatch(ApplicationActions.fetchApplicationsByJobSeeker(auth.id, (success, response) => {
                 if(success && response.data.length > 0) {
-                    setApplicationsByJobSeeker(response.data);
+                    setApplicationsByJobSeeker(sortElementsBy(response.data, "submittedOn"));
                 }
+                setDispatched(true)
                 console.log("Fetch applications by job seeker GET")
             }))
-            setDispatched(true)
+
         } else {
-            setApplicationsByJobSeeker(applicationsByJobSeekerState);
+            setApplicationsByJobSeeker(sortElementsBy(applicationsByJobSeekerState, "submittedOn"));
             console.log("Fetch applications by job seeker STATE")
         }
     }, [applicationsByJobSeekerState])
 
+    useEffect(() => {
+
+        if(dispatched && !logoDispatched) {
+            applicationsByJobSeeker.forEach(jobAd => {
+                if(jobAd.recruiterId && !logos[jobAd.recruiterId]) {
+                    fetchLogo(jobAd.recruiterId);
+                }
+            })
+            setLogoDispatched(true)
+            console.log("Fetch all logos GET")
+        } else if (logoDispatched){
+            setLogos(logosState)
+            console.log("Fetch all logos STATE")
+
+        }
+
+    }, [dispatched, logosState])
+
+
+
+    const fetchLogo = (recruiterId) => {
+        dispatch(RecruiterActions.downloadLogo(recruiterId, (success, response) => {
+            if(success) {
+                setLogos(prevLogos => ({...prevLogos, [recruiterId]: response}))
+            }
+        }));
+    };
+
     const options = [
-        {value: 'PROPOSED', label: <span><i className="fa-solid fa-paper-plane"></i> Proposed</span>},
-        {value: 'UNDER_REVIEW', label: <span><i className="fa-solid fa-file-pen"></i> Under Review</span>},
-        {value: 'ACCEPTED', label: <span><i className="fa-solid fa-user-check"></i> Accepted</span>},
-        {value: 'DENIED', label: <span><i className="fa-solid fa-user-slash"></i> Denied</span>}
+        {value: 'PROPOSED', label: <span className="status" style={{backgroundColor: '#4A90E2'}}><i className="fa-solid fa-paper-plane"></i> Proposed</span>},
+        {value: 'UNDER_REVIEW', label: <span className="status" style={{backgroundColor: '#F5A623'}}><i className="fa-solid fa-file-pen"></i> Under Review</span>},
+        {value: 'ACCEPTED', label: <span className="status" style={{backgroundColor: '#7ED321'}}><i className="fa-solid fa-user-check"></i> Accepted</span>},
+        {value: 'DENIED', label: <span className="status" style={{backgroundColor: '#D0021B'}}><i className="fa-solid fa-user-slash"></i> Denied</span>}
     ];
 
@@ -40,14 +80,22 @@
 
     return (
-        <div className="applications-container">
+        <div className="custom-container">
+
             <div className="application-title">
-
+                <h3>Application history</h3>
             </div>
             {applicationsByJobSeeker && applicationsByJobSeeker.map((application, index) => (
                 <div key={index} className="application-card">
-                    <div className="left-box">
-                        <span className="jobAd-title">{application.jobAdTitle}</span>
-                        <br/>
-                        <br/>
+                    <div className="app-company-logo">
+                        <img
+                            // loading gif
+                            src={logosState[application.recruiterId]}
+                            alt=""
+                            width={75} height={75}
+                        />
+                    </div>
+
+                    <div className="app-info">
+                        <div className="jobAd-title">{application.jobAdTitle}</div>
                         <div className="contact-info">
                             <div className="contact-item">
@@ -68,9 +116,10 @@
                     </div>
 
-                    <div className="right-box">
-                        <ViewApplicationDetails application={application}/>
-                        <div className="select">
-                            <Select isDisabled={true} options={options} defaultValue={handleDefaultValue(application.status)}/>
-                        </div>
+                    <div className="app-status">
+                        <ApplicationDetailsModal application={application}/>
+                        <> {handleDefaultValue(application.status).label}</>
+                        {/*<div className="select">*/}
+                        {/*    <Select isDisabled={true} options={options} />*/}
+                        {/*</div>*/}
 
                     </div>
Index: jobvista-frontend/src/views/applications/ApplyToJobAdModal.js
===================================================================
--- jobvista-frontend/src/views/applications/ApplyToJobAdModal.js	(revision b2488107b82c95e4bdfdfd18b76b44f023786601)
+++ jobvista-frontend/src/views/applications/ApplyToJobAdModal.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
@@ -1,8 +1,7 @@
 import React, {useState} from "react";
-import "../job_advertisements/Form.css";
+import "../shared_css/Modal.css";
 
 import 'react-responsive-modal/styles.css';
 import {Modal} from 'react-responsive-modal';
-import Select from "react-select";
 
 //Validation
@@ -12,9 +11,8 @@
 
 
-import {employmentStatusOptions, industryOptions, jobTypeOptions} from "../selectOptions";
 import {useDispatch, useSelector} from "react-redux";
-import {JobAdvertisementActions} from "../../redux/actions/jobAdvertisementActions";
 import Roles from "../../enumerations/Roles";
 import {ApplicationActions} from "../../redux/actions/applicationActions";
+import {notifyJobAdApply} from "../../utils/toastUtils";
 
 
@@ -55,6 +53,6 @@
                 formData,(success, response) => {
                     if(success) {
-                        console.log("Job Advertisement added")
                         toggleModal()
+                        notifyJobAdApply()
                     }
                 }
@@ -70,5 +68,5 @@
         {role===Roles.JOBSEEKER &&
             <>
-                {jobAd.active && <button onClick={toggleModal} className="card-button apply">Apply now</button> }
+                {jobAd.active && <button onClick={toggleModal} className="apply-button apply">Apply now</button> }
                 {!jobAd.active && <button className="card-button apply disabled">Apply now</button> }
             </>
@@ -86,15 +84,15 @@
                             <label className="label">Why are you interested in joining our company?</label>
                             <textarea type="text" placeholder="Write your answer here..."
-                                      {...register("answerOne")} className="applictaion-textarea"/>
+                                      {...register("answerOne")} className="application-textarea"/>
                             <p style={{color: "red"}}>{errors.answerOne?.message}</p>
 
                             <label className="label">What makes you a good fit for this position?</label>
                             <textarea type="text" placeholder="Write your answer here..."
-                                      {...register("answerTwo")} className="applictaion-textarea"/>
+                                      {...register("answerTwo")} className="application-textarea"/>
                             <p style={{color: "red"}}>{errors.answerTwo?.message}</p>
 
                             <label className="label">What do you hope to achieve in your first 6 months in this role?</label>
                             <textarea type="text"  placeholder="Write your answer here..."
-                                   {...register("answerThree")} className="applictaion-textarea"/>
+                                   {...register("answerThree")} className="application-textarea"/>
                             <p style={{color: "red"}}>{errors.answerThree?.message}</p>
 
@@ -103,10 +101,10 @@
                             <label htmlFor="start">Curriculum vitae (CV)</label>
                             <br/>
-                            <input {...register("file")} onChange={(e) => setResumeFile(e.target.files[0])} required type="file" id="fileUpload" accept=".pdf"/>
+                            <input {...register("file")} className="resume-link" onChange={(e) => setResumeFile(e.target.files[0])} required type="file" id="fileUpload" accept=".pdf"/>
 
                             <br/>
                             <label className="label">Message to the recruiter</label>
                             <textarea type="text" placeholder="Optional..."
-                                      {...register("messageToRecruiter")} className="applictaion-textarea"/>
+                                      {...register("messageToRecruiter")} className="application-textarea"/>
 
                             <br/><br/>
@@ -115,5 +113,6 @@
                     </div>
 
-                    <div className="aligned">
+                    <div className="modal-buttons">
+                        <div className="cancel-btn" onClick={toggleModal}> Cancel</div>
                         <button className="submit-btn"> Submit</button>
                     </div>
Index: jobvista-frontend/src/views/auth/SignInForm.js
===================================================================
--- jobvista-frontend/src/views/auth/SignInForm.js	(revision b2488107b82c95e4bdfdfd18b76b44f023786601)
+++ jobvista-frontend/src/views/auth/SignInForm.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
@@ -8,4 +8,5 @@
 import {yupResolver} from "@hookform/resolvers/yup";
 import {AuthActions} from "../../redux/actions/authActions";
+import {notifyIncorrectEmailOrPassword} from "../../utils/toastUtils";
 
 export const SignInForm = () => {
@@ -27,15 +28,13 @@
     const signIn = async (values) => {
         try {
-            dispatch(AuthActions.signIn(values.emailLog, values.passwordLog,
-                    success => {
-                    // createSnackbar({
-                    //     message: success ? 'Successfully signed up.' : 'Error while signing up. Try again!',
-                    //     timeout: 2500,
-                    //     theme: success ? 'success' : 'error'
-                    // });
-                    success && navigate("/");
+            dispatch(AuthActions.signIn(values.emailLog, values.passwordLog, success => {
+                    if(success) {
+                        navigate("/")
+                    } else {
+                        notifyIncorrectEmailOrPassword()
+                    }
                 }));
         } catch (err) {
-            console.error(err);
+            // console.error(err);
         }
     }
Index: jobvista-frontend/src/views/dashboard/Dashboard.js
===================================================================
--- jobvista-frontend/src/views/dashboard/Dashboard.js	(revision b2488107b82c95e4bdfdfd18b76b44f023786601)
+++ jobvista-frontend/src/views/dashboard/Dashboard.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
@@ -1,3 +1,3 @@
-import "./Dashboard.css"
+import "../shared_css/Random.css"
 
 import {useDispatch, useSelector} from "react-redux";
@@ -12,6 +12,7 @@
 import {AUTH_TOKEN} from "../../axios/axiosInstance";
 import {jwtDecode} from "jwt-decode";
-
-export const Dashboard = (props) => {
+import {RecruiterActions} from "../../redux/actions/recruiterActions";
+
+export const Dashboard = () => {
 
     const dispatch = useDispatch();
@@ -19,4 +20,10 @@
     const [jobAdvertisements, setJobAdvertisements] = useState([]);
     let jobAdvertisementsState = useSelector(state => state.jobAd.jobAdvertisements)
+    const [jobDispatched, setJobDispatched] = useState(false);
+
+    const [logos, setLogos] = useState({});
+    let logosState = useSelector(state => state.images.logos)
+    const [logoDispatched, setLogoDispatched] = useState(false);
+
     const auth = useSelector(state => state.auth);
 
@@ -25,5 +32,6 @@
     const [selectedIndustry, setSelectedIndustry] = useState("all");
     const [searchTerm, setSearchTerm] = useState("");
-    const [dispatched, setDispatched] = useState(false)
+
+
 
     // const [user, setUser] = useState(null);
@@ -54,10 +62,10 @@
 
     useEffect(() => {
-        if (!dispatched && jobAdvertisementsState.length == 0) {
+        if (!jobDispatched && jobAdvertisementsState.length == 0) {
             dispatch(JobAdvertisementActions.fetchJobAdvertisements((success, response) => {
                 if (success && response.data.length > 0) {
-                    setJobAdvertisements(sortElementsBy(response.data))
+                    setJobAdvertisements(sortElementsBy(response.data, "postedOn"))
                 }
-                setDispatched(true)
+                setJobDispatched(true)
                 console.log("Fetch all job advertisements GET")
             }))
@@ -66,6 +74,33 @@
             setJobAdvertisements(jobAdvertisementsState)
             console.log("Fetch all job advertisements STATE")
+
+
         }
     }, [jobAdvertisementsState])
+
+    useEffect(() => {
+
+        if(jobDispatched && !logoDispatched) {
+            jobAdvertisements.forEach(jobAd => {
+                if(jobAd.recruiterId && !logos[jobAd.recruiterId]) {
+                    fetchLogo(jobAd.recruiterId);
+                }
+            })
+            setLogoDispatched(true)
+            console.log("Fetch all logos GET")
+        } else {
+            setLogos(logosState)
+            console.log("Fetch all logos STATE")
+        }
+
+        }, [jobDispatched, logosState])
+
+    const fetchLogo = (recruiterId) => {
+        dispatch(RecruiterActions.downloadLogo(recruiterId, (success, response) => {
+            if(success) {
+                setLogos(prevLogos => ({...prevLogos, [recruiterId]: response}))
+            }
+        }));
+    };
 
     let filterJobAdvertisements = () => {
@@ -86,7 +121,7 @@
 
         <div className="container">
-            <div className="head-dashboard-box">
+            <div className="filter-container">
                 <div className="row">
-                    <div className="col-md-12 filter-container">
+                    <div className="col-md-12 filter-box">
                         <div className="search-container">
                             <i className="fa-solid fa-magnifying-glass search-icon"></i>
@@ -117,22 +152,9 @@
                             />
                         </div>
-                        <button onClick={filterJobAdvertisements} className="btn-open-modal">Find jobs</button>
+                        <button onClick={filterJobAdvertisements} className="blue-submit-button">Find jobs</button>
                     </div>
-                    {/*<div className="col-md-3">*/}
-
-                    {/*<div className="date-range-section item">*/}
-                    {/*    <Select*/}
-                    {/*        defaultValue={{value: "all", label: "Lifetime"}}*/}
-                    {/*        //value={selectedDateRange.value}*/}
-                    {/*        //onChange={option => setSelectedDateRange(option.value)}*/}
-                    {/*        options={dataRangeOptions}*/}
-                    {/*        className="date-range sort"*/}
-                    {/*    />*/}
-                    {/*</div>*/}
-                    {/*</div>*/}
                 </div>
             </div>
-            <div className="row row-cols-1 row-cols-md-4 g-4">
-
+            <div className="row row-cols-2 row-cols-md-4 g-4">
                 {jobAdvertisements &&
                     jobAdvertisements.map((jobAd, index) => (
@@ -146,4 +168,10 @@
                                 </div>
                                 <div className="card-body">
+                                    <img
+                                        // loading gif
+                                        src={logos[jobAd.recruiterId]}
+                                        alt=""
+                                        width={100} height={100}
+                                    />
                                     <h5 className="card-title">{jobAd.title}</h5>
                                     <span>{jobAd.industry} • <span style={{
Index: jobvista-frontend/src/views/job_advertisements/AddJobAdModal.js
===================================================================
--- jobvista-frontend/src/views/job_advertisements/AddJobAdModal.js	(revision b2488107b82c95e4bdfdfd18b76b44f023786601)
+++ jobvista-frontend/src/views/job_advertisements/AddJobAdModal.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
@@ -1,4 +1,4 @@
 import React, {useState} from "react";
-import "./Form.css";
+import "../shared_css/Modal.css";
 
 import { Editor } from 'primereact/editor';
@@ -17,4 +17,5 @@
 import {useDispatch, useSelector} from "react-redux";
 import {JobAdvertisementActions} from "../../redux/actions/jobAdvertisementActions";
+import {notifyJobAdPost} from "../../utils/toastUtils";
 
 
@@ -32,5 +33,5 @@
         description: yup.string().required("Please enter a description"),
         industry: yup.mixed().required("Select industry"),
-        startingSalary: yup.number().required("Please enter the starting salary"),
+        startingSalary: yup.string().required("Please enter the starting salary"),
         jobType: yup.mixed().required("Select job type"),
         employmentStatus: yup.mixed().required("Select employment status"),
@@ -46,5 +47,5 @@
             dispatch(JobAdvertisementActions.addJobAdvertisement(
                 {
-                    email: auth.email,
+                    id: auth.id,
                     title: values.title,
                     description: values.description,
@@ -56,6 +57,7 @@
                 }, (success, response) => {
                     if (success) {
-                        console.log("Job Advertisement added")
+                        // console.log("Job Advertisement added")
                         toggleModal()
+                        notifyJobAdPost()
                     }
                 }
@@ -75,5 +77,5 @@
         </div>
         {/*<button onClick={toggleModal} className="btn-open-modal">POST ADVERTISEMENT</button>*/}
-        <Modal open={modal} onClose={toggleModal} center classNames="job-advertisement-modal">
+        <Modal open={modal} onClose={toggleModal} center>
             <div className="head-modal">
                 <h3>Post Job Advertisement</h3>
@@ -82,5 +84,5 @@
 
             <div className="modal-content">
-                <form onSubmit={handleSubmit(addJobAdvertisement)}>
+                <form>
                     <div className="row">
                         <div className="col-md-7">
@@ -111,5 +113,5 @@
                         <div className="col-md-5">
                             <label className="label">Hourly rate:</label>
-                            <input {...register("startingSalary")}/>
+                            <input type="number" {...register("startingSalary")}/>
                             <p style={{color: "red"}}>{errors.startingSalary?.message}</p>
 
@@ -157,6 +159,7 @@
                     </div>
 
-                    <div className="aligned">
-                        <button className="submit-btn"> Submit</button>
+                    <div className="modal-buttons">
+                        <div className="cancel-btn" onClick={toggleModal}> Cancel</div>
+                        <button className="submit-btn" onClick={handleSubmit(addJobAdvertisement)}>Submit</button>
                     </div>
 
Index: jobvista-frontend/src/views/job_advertisements/DeleteJobAdModal.js
===================================================================
--- jobvista-frontend/src/views/job_advertisements/DeleteJobAdModal.js	(revision b2488107b82c95e4bdfdfd18b76b44f023786601)
+++ jobvista-frontend/src/views/job_advertisements/DeleteJobAdModal.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
@@ -1,4 +1,4 @@
 import React, {useState} from "react";
-import "./Form.css";
+import "../shared_css/Modal.css";
 
 import 'react-responsive-modal/styles.css';
@@ -15,4 +15,5 @@
 import {useDispatch, useSelector} from "react-redux";
 import {JobAdvertisementActions} from "../../redux/actions/jobAdvertisementActions";
+import {notifyJobAdDelete} from "../../utils/toastUtils";
 
 
@@ -29,6 +30,7 @@
             dispatch(JobAdvertisementActions.deleteJobAdvertisement(jobAd.props.id, (success, response) => {
                 if (success) {
-                    console.log("Job Advertisement deleted")
+                    // console.log("Job Advertisement deleted")
                     toggleModal()
+                    notifyJobAdDelete()
                 }
             }))
Index: jobvista-frontend/src/views/job_advertisements/EditJobAdModal.js
===================================================================
--- jobvista-frontend/src/views/job_advertisements/EditJobAdModal.js	(revision b2488107b82c95e4bdfdfd18b76b44f023786601)
+++ jobvista-frontend/src/views/job_advertisements/EditJobAdModal.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
@@ -1,4 +1,4 @@
 import React, {useEffect, useState} from "react";
-import "./Form.css";
+import "../shared_css/Modal.css";
 
 import 'react-responsive-modal/styles.css';
@@ -16,4 +16,5 @@
 import {JobAdvertisementActions} from "../../redux/actions/jobAdvertisementActions";
 import {Editor} from "primereact/editor";
+import {notifyJobAdDelete, notifyJobAdEdit} from "../../utils/toastUtils";
 
 
@@ -23,5 +24,8 @@
     const auth = useSelector(state => state.auth.currentUser)
     const toggleModal = () => {
+        console.log("NAD SET")
         setModal(!modal);
+        console.log("POD SET")
+
     };
 
@@ -52,6 +56,7 @@
                 }, jobAd.props.id, (success, response) => {
                     if(success) {
-                        console.log("Job Advertisement edited")
+                        // console.log("Job Advertisement edited")
                         toggleModal()
+                        notifyJobAdEdit()
                     }
                 }
@@ -78,5 +83,5 @@
 
             <div className="modal-content">
-                <form onSubmit={handleSubmit(editJobAdvertisement)}>
+                <form>
                     <div className="row">
                         <div className="col-md-7">
@@ -92,7 +97,8 @@
                                 name="description"
                                 control={control}
+                                defaultValue={jobAd.props.description}
                                 render={({ field }) => (
                                     <Editor
-                                        defaultValue={jobAd.props.description}
+                                        // defaultValue={jobAd.props.description}
                                         value={jobAd.props.description}
                                         onTextChange={(e) => field.onChange(e.htmlValue)}
@@ -107,5 +113,5 @@
                         <div className="col-md-5">
                             <label className="label">Hourly rate:</label>
-                            <input defaultValue={jobAd.props.startingSalary} {...register("startingSalary")}/>
+                            <input type="number" defaultValue={jobAd.props.startingSalary} {...register("startingSalary")}/>
                             <p style={{color: "red"}}>{errors.startingSalary?.message}</p>
 
@@ -166,8 +172,8 @@
                     </div>
 
-                    <div className="aligned">
-                        <button className="submit-btn"> Submit</button>
+                    <div className="modal-buttons">
+                        <div className="cancel-btn" onClick={toggleModal}> Cancel</div>
+                        <button className="submit-btn" onClick={handleSubmit(editJobAdvertisement)}> Save changes</button>
                     </div>
-
                 </form>
             </div>
